For the complete documentation index, see llms.txt. This page is also available as Markdown.

Channel

These endpoints can be used to manage custom channels.

index

get

Returns all the channels.

This endpoint requires the CHANNEL_READ permission.

Authorizations
HTTPRequired
Responses
200

Successful response

application/json
get/api/v2/channel
GET /api/v2/channel HTTP/1.1
Host: {{base_url}}
Authorization: apikey YOUR_SECRET_TOKEN
Accept: */*
200

Successful response

index

post

Creates a new channel.

Most parameters are optional but depending on the presence of other parameters.

This endpoint requires the CHANNEL_CUD permission.

Authorizations
HTTPRequired
Header parameters
Content-TypestringOptionalExample: multipart/form-data
Body
namestringOptional

type: ^[a-zA-Z0-9 \.\-\_]+$

Example: Example channel
iconstringOptional

type: ^[a-zA-Z0-9\-\_]+$ = 'chat'

Example: note
custom_channel_endpointstringOptional

type: ^[a-zA-Z0-9\.\:\/\-?&=]+$

Example: https://api.myexampleapp.com/omnidesk/api/message
custom_channel_secretstringOptional

type: string = ''

include_signaturestringOptional

type: boolean = 'false'

Responses
200

Successful response

application/json
post/api/v2/channel
POST /api/v2/channel HTTP/1.1
Host: {{base_url}}
Authorization: apikey YOUR_SECRET_TOKEN
Content-Type: multipart/form-data
Accept: */*
Content-Length: 176

{
  "name": "Example channel",
  "icon": "note",
  "custom_channel_endpoint": "https://api.myexampleapp.com/omnidesk/api/message",
  "custom_channel_secret": "text",
  "include_signature": "text"
}
200

Successful response

item

get

Returns all the data of this channel.

This endpoint requires the CHANNEL_CUD permission.

Authorizations
HTTPRequired
Path parameters
idintegerRequired

type: number

Example: 1
Responses
200

Successful response

application/json
get/api/v2/channel/{id}
GET /api/v2/channel/{id} HTTP/1.1
Host: {{base_url}}
Authorization: apikey YOUR_SECRET_TOKEN
Accept: */*
200

Successful response

item

put

Updates an existing channel

This endpoint requires the CHANNEL_CUD permission.

  • name: Name of the custom channel.

  • icon: The icon the custom channel uses.

  • custom_channel_endpoint: The endpoint Omnidesk POSTs a message to when the agent sends an outbound message.

  • custom_channel_secret: The optional secret that gets used for request to your custom_channel_endpoint value

  • custom_channel_warning_en: Optional warning.

  • custom_channel_warning_nl: Optional warning.

  • include_signature: Include the signature in outbound messages for this channel.

  • custom_channel_available_in_quick_ticket: Make this channel available in quick ticket.

Authorizations
HTTPRequired
Path parameters
idintegerRequired

type: number

Example: 13
Body
namestringOptional

type: ^[a-zA-Z0-9 \.\-\_]+$

Example: Example channel
iconstringOptional

type: ^[a-zA-Z0-9\-\_]+$ = 'chat'

Example: note
custom_channel_endpointstringOptional

type: ^[a-zA-Z0-9\.\:\/\-?&=]+$

Example: https://api.myexampleapp.com/omnidesk/api/message
custom_channel_secretstringOptional

type: string = ''

custom_channel_warning_enstringOptional

type: ^[0-9a-zA-Z\-\_\:\;\>\+\(\)\/\!\?\,\.\#\@\$\*\&À-ȕ\' ]+$ = ''

custom_channel_warning_nlstringOptional

type: ^[0-9a-zA-Z\-\_\:\;\>\+\(\)\/\!\?\,\.\#\@\$\*\&À-ȕ\' ]+$ = ''

include_signaturestringOptional

type: boolean = 'false'

custom_channel_available_in_quick_ticketstringOptional

type: boolean = 'false'

Responses
200

Successful response

application/json
put/api/v2/channel/{id}
PUT /api/v2/channel/{id} HTTP/1.1
Host: {{base_url}}
Authorization: apikey YOUR_SECRET_TOKEN
Content-Type: multipart/form-data
Accept: */*
Content-Length: 296

{
  "name": "Example channel",
  "icon": "note",
  "custom_channel_endpoint": "https://api.myexampleapp.com/omnidesk/api/message",
  "custom_channel_secret": "text",
  "custom_channel_warning_en": "text",
  "custom_channel_warning_nl": "text",
  "include_signature": "text",
  "custom_channel_available_in_quick_ticket": "text"
}
200

Successful response

item

delete

Deletes the provided channel.

This endpoint requires the CHANNEL_CUD permission.

Authorizations
HTTPRequired
Path parameters
idstringRequired

type: number

Responses
200

Successful response

application/json
delete/api/v2/channel/{id}
DELETE /api/v2/channel/{id} HTTP/1.1
Host: {{base_url}}
Authorization: apikey YOUR_SECRET_TOKEN
Accept: */*
200

Successful response

customChannelMessage

post

Creates a inbound custom channel message.

Most parameters are optional but depending on the presence of other parameters.

This endpoint requires the MESSAGE_CREATE permission.

Authorizations
HTTPRequired
Header parameters
Content-TypestringOptionalExample: multipart/form-data
Body
ticketIDstringOptional

type: ^[0-9]+$

channelIDstringOptional

type: ^[0-9]+$

messagestringOptional

type: string

titlestringOptional

type: string=''

toAddressstringOptional

type: string=''

fromAddressstringOptional

type: string=''

userIDstringOptional

type: ^[0-9]+$ = 0

Responses
200

Successful response

application/json
post/api/v2/channel/customChannelMessage
POST /api/v2/channel/customChannelMessage HTTP/1.1
Host: {{base_url}}
Authorization: apikey YOUR_SECRET_TOKEN
Content-Type: multipart/form-data
Accept: */*
Content-Length: 126

{
  "ticketID": "text",
  "channelID": "text",
  "message": "text",
  "title": "text",
  "toAddress": "text",
  "fromAddress": "text",
  "userID": "text"
}
200

Successful response

Last updated